pool.h(3)

NAME
pool.h -

Pools of RTP sessions.

SYNOPSIS

#include <list>
#include <ccrtp/rtp.h>

  Classes
class RTPSessionBaseHandler
class SessionListElement
Class for tracking session status.
class PredEquals
std equality for SessionListElement objects.
class RTPSessionPool
This class is a base class for classes that define a group of RTP sessions that will be served by one or more execution threads.
class SingleRTPSessionPool

  Typedefs
typedef TRTPSessionBase RTPSessionBase

Detailed Description

Pools of RTP sessions.

Typedef Documentation

  typedef TRTPSessionBase RTPSessionBase

Author

Generated automatically by Doxygen for ccRTP from the source code.